CueFrame
Api

Trigger standalone subject/face detection

Required permission: media:write

POST
/v1/media/{id}/detect-subjects

Authorization

AuthorizationBearer <token>

API key auth. Prefix cf_live_ for production orgs, cf_test_ for sandbox.

In: header

Path Parameters

id*string

Query Parameters

detector?string

Which detector to run. Defaults to face; an unknown value is refused, never defaulted.

Value in

  • "face"
  • "person"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/media/string/detect-subjects"
{  "factId": "string",  "status": "pending",  "quotedUsd": 0,  "alreadyExisted": true}
{  "error": {    "code": "string",    "message": "string",    "contract": "string",    "contractVersion": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "contract": "string",    "contractVersion": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "contract": "string",    "contractVersion": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "contract": "string",    "contractVersion": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "contract": "string",    "contractVersion": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "contract": "string",    "contractVersion": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "contract": "string",    "contractVersion": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "contract": "string",    "contractVersion": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "contract": "string",    "contractVersion": "string",    "details": {      "property1": null,      "property2": null    }  }}